=== debian/changelog ===
tdesvn-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 14:00:26 +0200

tdesvn-trinity (1.0.4-2~2ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tdesvn-trinity (1.0.4-2~0ubuntu4) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 10 March 2009 12:31:00 -0600

tdesvn-trinity (1.0.4-2~0ubuntu3) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 31 Dec 2008 17:59:00 -0600

tdesvn (1.0.4-2~hardy1) hardy-backports; urgency=low

  * Upload fixed Trinity package from sid for compatibility with svn 1.5
    (LP: #283468)
    - Intrepid package is KDE4 and not a suitable solution for
      hardy-backports

 -- Scott Kitterman <scott@kitterman.com>  Wed, 15 Oct 2008 01:14:20 -0400

tdesvn (1.0.4-2) unstable; urgency=low

  * debian/control
    - Add Vcs-* fields.
    - Set the Debian KDE Extras Team as Maintainer and add myself to
      Uploaders.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Oct 2008 22:46:45 +0200

tdesvn (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Oct 2008 06:55:22 +0200

tdesvn (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to quilt for patch handling. 
  * debian/patches/01-shortcuts.patch
    - Make sure we use unique shortcuts which don't interfere with other
      components when tdesvn is embedded as kpart. Closes: #452245

 -- Michael Biebl <biebl@debian.org>  Sat, 20 Sep 2008 10:46:07 +0200

tdesvn (1.0.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01-bashisms_tdeconf_update.patch
    - Removed, merged upstream. 
  * debian/patches/02-docimages.patch
    - Removed, fixed upstream. 
  * debian/control
    - Add Build-Depends on libsqlite3-dev, required for building the log cache
      support. 

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Sep 2008 02:40:29 +0200

tdesvn (0.14.6-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Jul 2008 14:26:45 +0200

tdesvn (0.14.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Don't conflict with kde4 versions of tdesdk-kio-plugins. Closes: #483260
    - Bump Standards-Version to 3.8.0. No further changes.
  * debian/watch
    - Update watch file to match the new download location.
  * debian/patches/02-docimages.patch
    - Specifiy the path to the doc images directly.
      Beginning with version 2.4.7, cmake copies symlinks verbatim, leading to
      dangling symlinks. Closes: #480585

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Jul 2008 20:06:12 +0200

tdesvn (0.14.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 May 2008 18:25:35 +0200

tdesvn (0.14.3-1) unstable; urgency=low

  * New upstream release.
  * debian/rules
    - Include the cmake.mk class provided by cdbs.
  * debian/cdbs/cmake.mk
    - Drop our custom cmake.mk Makefile as we now use the one provided by
      cdbs.
  * debian/control
    - Bump Build-Depends on cdbs to (>= 0.4.50) for the cmake support.
    - Drop the "-1" revsion of the libssl-dev Build-Depends to make lintian
      happy.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Apr 2008 01:02:42 +0200

tdesvn (0.14.2-2) unstable; urgency=low

  * debian/rules
    - Pass -DLIB_SUFFIX="" to DEB_CMAKE_EXTRA_FLAGS. This ensures that the
      libraries are installed into lib and not lib64 on 64-bit architectures.
      Closes: #468064
    - Update DEB_DH_MAKESHLIBS_ARGS for libsvnqt4.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Feb 2008 23:31:17 +0100

tdesvn (0.14.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Feb 2008 00:15:24 +0100

tdesvn (0.14.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch
    - Updated for the new download location. Closes: #449689

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Nov 2007 11:36:34 +0100

tdesvn (0.14.0-1) unstable; urgency=low

  * New upstream release.
  * debian/tdesvn.menu
    - Change section to "Applications/Programming" to comply with the new menu
      spec.
  * debian/patches/01-bashisms_tdeconf_update.patch
    - Fix a bashism in the tdeconf_update script.
  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
    - SONAME bump, rename the libsvnqt3 package to libsvnqt4.
  * Rename libsvnqt3.install to libsvnqt4.install.
  * debian/tdesvn.install
    - Install the tdeconf_update files.
  * debian/libsvnqt-dev.install
    - No longer install the libtool *.la files for libsvnqt.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Oct 2007 02:20:32 +0200

tdesvn (0.13.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Aug 2007 00:13:38 +0200

tdesvn (0.12.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch
    - Adapt to new directory layout.
  * debian/control
    - Replace ${Source-Version} with ${binary:Version}.

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Jun 2007 16:07:32 +0200

tdesvn (0.12.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-po_ca.patch
    + Removed. Merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 May 2007 02:07:52 +0200

tdesvn (0.11.2-2) unstable; urgency=low

  * debian/patches/01-po_ca.patch
    - Added. Updates to the Catalan translation by Antoni Bella Pérez. Thanks!
      Closes: #417963

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Apr 2007 21:16:11 +0200

tdesvn (0.11.2-1) unstable; urgency=low

  * New upstream release.


