=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs (>= 0.4.50), debhelper (>= 7.0.50~), cmake (>= 2.4), tdelibs14-trinity-dev (>= 4:3.4.3-2), libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, gettext, quilt, libaprutil1-dev
+Build-Depends: cdbs (>= 0.4.50), debhelper (>= 7.0.50~), cmake (>= 2.4), tdelibs14-trinity-dev (>= 4:3.4.3-2), libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, quilt, libaprutil1-dev
 Standards-Version: 3.8.4
 
 Package: libsvnqt4-trinity
