## tdesvn-trinity 14.0.11

=== debian/changelog ===
tdesvn-trinity (4:14.0.11-3romtsvn) universal; urgency=low

  * Applying tdesvn-CrashAtClose.patch
  * Applying tdesvn_updParentOfChItem.patch - with all expandings
  * Applying tdesvn_NoSpareBaseSlotResolve.patch
  * Applying tdesvn_NoCrashAtResolve.patch

 -- Roman Savochenko <roman@oscada.org>  Thu, 31 Jul 2025 20:00:00 +0200

tdesvn-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:34:56 +0200
