## tdesvn-trinity 14.0.12

=== debian/changelog ===
tdesvn-trinity (4:14.0.12-1rom) universal; urgency=low

  * Applying tdesvn-CrashAtClose.patch

 -- Roman Savochenko <roman@oscada.org>  Tue, 31 May 2022 20:00:00 +0200

tdesvn-trinity (4:14.0.12-0debian11.0.0+0) bullseye; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:24:51 +0100
