=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs (>= 0.4.50), debhelper (>= 9~), cmake (>= 2.4), tdelibs14-trinity-dev (>= 4:3.4.3-2), libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, quilt, libaprutil1-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libsvn-dev (>= 1.2.0), libssl-dev (>= 0.9.8a), libsqlite3-dev, libaprutil1-dev
 Standards-Version: 3.8.4
 
 Package: libsvnqt4-trinity
 Section: libs
 Architecture: any
-Replaces: libsvnqt4-trinity (<< 4:14.0.0~)
-Breaks: libsvnqt4-trinity (<< 4:14.0.0~)
+Replaces: libsvnqt4-kde3 (<< 4:14.0.0~), libsvnqt4-trinity (<< 4:14.0.0~)
+Breaks: libsvnqt4-kde3 (<< 4:14.0.0~), libsvnqt4-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: TQt wrapper library for subversion [Trinity]
  This package provides svnqt, a TQt wrapper library around the 
@@ -22,8 +22,8 @@
 Package: libsvnqt-trinity-dev
 Section: libdevel
 Architecture: any
-Replaces: libsvnqt-trinity-dev (<< 4:14.0.0~)
-Breaks: libsvnqt-trinity-dev (<< 4:14.0.0~)
+Replaces: libsvnqt-kde3-dev (<< 4:14.0.0~), libsvnqt-trinity-dev (<< 4:14.0.0~)
+Breaks: libsvnqt-kde3-dev (<< 4:14.0.0~), libsvnqt-trinity-dev (<< 4:14.0.0~)
 Depends: libsvnqt4-trinity (= ${binary:Version}), libtqt3-mt-dev, libsvn-dev
 Description: TQt wrapper library for subversion (development files) [Trinity]
  This package contains the header files and symbolic links that developers
@@ -32,8 +32,8 @@
 Package: tdesvn-trinity
 Section: devel
 Architecture: any
-Replaces: kdesvn-trinity (<< 4:14.0.0~)
-Breaks: kdesvn-trinity (<< 4:14.0.0~)
+Replaces: kdesvn-kde3 (<< 4:14.0.0~), kdesvn-trinity (<< 4:14.0.0~)
+Breaks: kdesvn-kde3 (<< 4:14.0.0~), kdesvn-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, tdesvn-tdeio-plugins-trinity (= ${binary:Version})
 Recommends: kompare-trinity, graphviz
 Suggests: khelpcenter-trinity, kdiff3-trinity
@@ -48,8 +48,8 @@
 Package: tdesvn-tdeio-plugins-trinity
 Section: devel
 Architecture: any
-Replaces: kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdesvn-kio-plugins-kde3 (<< 4:14.0.0~), kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdesvn-kio-plugins-kde3 (<< 4:14.0.0~), kdesvn-kio-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: tdesdk-tdeio-plugins-trinity
 Description: subversion I/O slaves for Trinity
