=== debian/changelog ===
tdesvn-trinity (4:14.1.1-2romtsvn) universal; urgency=low

  * Applying tdesvn_updParentOfChItem.patch - with all expandings
  * Applying tdesvn_NoSpareBaseSlotResolve.patch
  * Applying tdesvn_NoCrashAtResolve.patch

 -- Roman Savochenko <roman@oscada.org>  Thu, 31 Jul 2025 20:00:00 +0200

tdesvn-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Oct 2023 23:22:00 +0200
