## tdesvn-trinity 14.1.3

=== debian/changelog ===
tdesvn-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 15 Oct 2024 23:22:07 +0200
