## tdesvn-trinity 14.1.4

=== src/svnqt/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

macro(build_test tname)
  set(${tname}-src ${tname}.cpp)
  if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${tname}.h)
        set(${tname}-src ${${tname}-src} ${tname}.h)
  endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${tname}.h)
  add_executable(${tname} ${${tname}-src})
  target_link_libraries(${tname} ${svnqt-name} ${TQT_LIBRARIES})
  add_test(${tname} ${CMAKE_CURRENT_BINARY_DIR}/${tname})
endmacro(BUILD_TEST)

if (BUILD_TESTS)
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/testconfig.h.in
        ${CMAKE_CURRENT_BINARY_DIR}/testconfig.h
    )
    add_test(rmrepo "/bin/rm" "-rvf" "${CMAKE_CURRENT_BINARY_DIR}/repo")
    add_test(rmco "/bin/rm" "-rvf" "${CMAKE_CURRENT_BINARY_DIR}/co")
    build_test(crepo)
    build_test(lsdir)
    build_test(ckpath)
endif(BUILD_TESTS)
