## tdesvn-trinity 14.1.6~pre0

=== debian/changelog ===
tdesvn-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 68558afe7939fb36627bb665c9d363caaa60de14
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
