## tdesvn-trinity 14.1.6~pre1

=== debian/changelog ===
tdesvn-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 72097abc2134303589f747f549d57826095f288a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdesvn

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:33:10 +0100
